clang-tools 6.0.0

Namespaces | Typedefs | Functions
HeaderFileExtensionsUtils.h File Reference
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "llvm/ADT/SmallSet.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for HeaderFileExtensionsUtils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::utils

## Typedefs
typedef llvm::SmallSet< llvm::StringRef, 5 > | clang::tidy::utils::HeaderFileExtensionsSet

## Functions
bool | clang::tidy::utils::isExpansionLocInHeaderFile (SourceLocation Loc, const SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether expansion location of `Loc` is in header file. More...
bool | clang::tidy::utils::isPresumedLocInHeaderFile (SourceLocation Loc, SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether presumed location of `Loc` is in header file. More...
bool | clang::tidy::utils::isSpellingLocInHeaderFile (SourceLocation Loc, SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether spelling location of `Loc` is in header file. More...
StringRef | clang::tidy::utils::defaultHeaderFileExtensions ()
| Returns recommended default value for the list of header file extensions. More...
bool | clang::tidy::utils::parseHeaderFileExtensions (StringRef AllHeaderFileExtensions, HeaderFileExtensionsSet &HeaderFileExtensions, char delimiter)
| Parses header file extensions from a semicolon-separated list. More...
bool | clang::tidy::utils::isHeaderFileExtension (StringRef FileName, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Decides whether a file has a header file extension. More...